// MacsBug.r.h
// Copyright  1991-96 by Apple Computer, Inc. All rights reserved. 

/*
	Change History:
		 6/27/97	TWB		Initial version. 
*/

#ifndef __MACSBUG_R_H__
#define __MACSBUG_R_H__


//--------------------------------------------------------------------------------------------------
// CONSTANTS 
//--------------------------------------------------------------------------------------------------

#define kSignature			'SS02'			// Application signature 
#define kFileType			'SF02'			// Data file type 
#define kStationery			'sF02'			// Stationery file type 

// Bundle Constants
// ------------------

#define kBundleID						128
#define kApplicationID					128
#define kDocumentID						129
#define kStationeryID					130

// Constants for Menu IDs
// ----------------------

#define mMacsBugMenu	4

// Command Numbers For Menu Items
// ------------------------------

#define cCommandHandledByApplication	400
#define cCommandHandledByDocument		401
#define cCommandHandledByView			402
#define cTrackerCommand					403

#define cHeapCheck						410
#define cHeapZones						411
#define cHeapTotal						412
#define cHeapDisplay					413

// STR# resources
// --------------

#define kMacsBugMenuHelp				1000
#define kMacsBugWindowTitles			1001

// Text styles
// --------------

#define kSystemTextStyle				1000

// 'View' resources
// --------------

#define kMacsBugWindowID				kDefaultWindowID

// Memory Management Resources
// ---------------------------

#define kMacsBugSeg	1000
#define kMacsBugMem	1000
#define kMacsBugRes	1000

//========================================================================================
// MacsBug Suite
//========================================================================================

#define kAEMacsBug				'mxbg'

// Events

#define kAEMacsBugHeapZones		'hz..'
#define kAEMacsBugHeapCheck		'hc..'
#define kAEMacsBugHeapTotal		'ht..'
#define kAEMacsBugHeapDisplay	'hd..'

// Classes

#define kAEMacsBugRegister		'regs'

// ComparisonOps
// Enumerations

#define keyAEMacsBugZone		'zona'
#define enumMacsBugZones		'zenm'
#define kAEMacsBugZoneSystem	'zsys'
#define kAEMacsBugZoneApplication	'zapp'
#define kAEMacsBugZoneUser		'zusr'

#endif // __MACSBUG_R_H__
